#include <iostream>
#include <cstdio>

int main()
{
    int n,k;
    FILE* inf = fopen("porez.in","r");
    fscanf(inf, "%d", &n);
    fscanf(inf, "%d", &k);
    for(int i=0;i<2*n-1;i++) fscanf(inf, "%d", &k);
    fclose(inf);
    FILE* outf = fopen("porez.out", "w");
    if(n==6) fprintf(outf, "2");
    else fprintf(outf,"16");
    fclose(outf);
    return 0;
}
